Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 641738 - sys-cluster/ceph-12.2.2 - options.cc:(...): undefined reference to `boost::re_detail_106300::cpp_regex_traits_implementation<char>::transform_primary[abi:cxx11](char const*, char const*) const'
Summary: sys-cluster/ceph-12.2.2 - options.cc:(...): undefined reference to `boost::re...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Patrick McLean
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-19 16:35 UTC by Konstantin Agouros
Modified: 2019-09-14 18:30 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,465.78 KB, text/plain)
2017-12-19 16:35 UTC, Konstantin Agouros
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Agouros 2017-12-19 16:35:51 UTC
Created attachment 510996 [details]
build.log

emerge =ceph-12.2.2 (also 12.2.1) do not build after upgrading to profile 17.0


emerge --info:

-2.25-r9, 4.12.12-gentoo x86_64)
=================================================================
System uname: Linux-4.12.12-gentoo-x86_64-Dual-Core_AMD_Opteron-tm-_Processor_2218-with-gentoo-2.4.1
KiB Mem:     8172776 total,   3947036 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Wed, 06 Dec 2017 23:00:01 +0000
Head commit of repository gentoo: 6edf2fb68eee3859d8806ec7472befb08b726120
sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1
distcc 3.2rc1 x86_64-pc-linux-gnu [enabled]
app-shells/bash:          4.3_p48-r1::gentoo
dev-lang/perl:            5.24.3::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.4.5-r1::gentoo, 3.5.4-r1::gentoo
dev-util/cmake:           3.8.2::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.10-r4::gentoo
sys-devel/autoconf:       2.69::gentoo
sys-devel/automake:       1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            6.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.25-r9::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://172.24.80.254/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: 

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O3 -pipe -march=athlon64 -mtune=athlon64"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O3 -pipe -march=athlon64 -mtune=athlon64"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg config-protect-if-modified distcc distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j7"
PKGDIR="/mnt/ceph/packages/AuthenticAMD/ceph-prod-mon1.matrix.test"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl amd64 berkdb bzip2 cli cracklib crypt cxx dri fortran gdbm iconv ipv6 ldap modules multilib ncurses nls nptl openmp pam pcre postgresql readline seccomp session ssl tcpd unicode xattr zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext popcnt sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_5" PYTHON_TARGETS="python2_7 python3_5" RUBY_TARGETS="ruby22" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Jeroen Roovers gentoo-dev 2017-12-22 16:18:07 UTC
/usr/bin/x86_64-pc-linux-gnu-g++  -O3 -pipe -march=athlon64 -mtune=athlon64 -Wall -Wtype-limits -Wignored-qualifiers -Winit-self -Wpointer-arith -Werror=format-security -fno-strict-aliasing -fsigned-char -Wno-unknown-pragmas -rdynamic -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 -fstack-
protector-strong -fdiagnostics-color=auto -fno-builtin-malloc -fno-builtin-calloc -fno-builtin-realloc -fno-builtin-free  -Wl,-O1 -Wl,--as-needed -pie CMakeFiles/ceph-mds.dir/ceph_mds.cc.o  -o ../bin/ceph-mds -Wl,-rpath,::::::::::::::: ../lib/libmds.a -ldl ../lib/libglobal-static.a ../lib/libcommon.a /usr/lib/libboost
_thread-mt.so -ltcmalloc ../lib/libosdc.a ../lib/liblua.a -lm -ldl /usr/lib/libboost_chrono-mt.so /usr/lib/libboost_atomic-mt.so ../lib/libjson_spirit.a ../lib/libcommon_utf8.a ../lib/liberasure_code.a -lrt -lresolv /usr/lib/libboost_random-mt.so /usr/lib/libboost_system-mt.so /usr/lib/libboost_program_options-mt.so /
usr/lib/libboost_date_time-mt.so /usr/lib/libboost_iostreams-mt.so /usr/lib/libboost_regex-mt.so -lblkid -lcryptopp -ldl -lpthread
../lib/libcommon.a(options.cc.o): In function `__gnu_cxx::__normal_iterator<char const*, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > boost::re_detail_106300::re_is_set_member<__gnu_cxx::__normal_iterator<char const*, std::__cxx11::basic_string<char, std::char_traits<char>, std::al
locator<char> > >, char, boost::regex_traits<char, boost::cpp_regex_traits<char> >, unsigned int>(__gnu_cxx::__normal_iterator<char const*, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > >, __gnu_cxx::__normal_iterator<char const*, std::__cxx11::basic_string<char, std::char_traits<char
>, std::allocator<char> > >, boost::re_detail_106300::re_set_long<unsigned int> const*, boost::re_detail_106300::regex_data<char, boost::regex_traits<char, boost::cpp_regex_traits<char> > > const&, bool)':
options.cc:(.text._ZN5boost16re_detail_10630016re_is_set_memberIN9__gnu_cxx17__normal_iteratorIPKcNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEEEcNS_12regex_traitsIcNS_16cpp_regex_traitsIcEEEEjEET_SH_SH_PKNS0_11re_set_longIT2_EERKNS0_10regex_dataIT0_T1_EEb[_ZN5boost16re_detail_10630016re_is_set_memberIN9__gnu_cxx17__normal_iteratorIPKcNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEEEcNS_12regex_traitsIcNS_16cpp_regex_traitsIcEEEEjEET_SH_SH_PKNS0_11re_set_longIT2_EERKNS0_10regex_dataIT0_T1_EEb]+0x175): undefined reference to `boost::re_detail_106300::cpp_regex_traits_implementation<char>::transform_primary[abi:cxx11](char const*, char const*) const'
options.cc:(.text._ZN5boost16re_detail_10630016re_is_set_memberIN9__gnu_cxx17__normal_iteratorIPKcNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEEEcNS_12regex_traitsIcNS_16cpp_regex_traitsIcEEEEjEET_SH_SH_PKNS0_11re_set_longIT2_EERKNS0_10regex_dataIT0_T1_EEb[_ZN5boost16re_detail_10630016re_is_set_memberIN9__gnu_cxx17__normal_iteratorIPKcNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEEEcNS_12regex_traitsIcNS_16cpp_regex_traitsIcEEEEjEET_SH_SH_PKNS0_11re_set_longIT2_EERKNS0_10regex_dataIT0_T1_EEb]+0x3aa): undefined reference to `boost::re_detail_106300::cpp_regex_traits_implementation<char>::transform[abi:cxx11](char const*, char const*) const'


Smashing stuff!
Comment 2 Dyweni 2018-01-04 19:49:53 UTC
Happens same for me, but on 32bit and the old 13.0 profile...

Utils.cc:(.text._ZN5boost16re_detail_10630016re_is_set_memberIN9__gnu_cxx17__normal_iteratorIPKcNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEEEcNS_12regex_traitsIcNS_16cpp_regex_traitsIcEEEEjEET_SH_SH_PKNS0_11re_set_longIT2_EERKNS0_10regex_dataIT0_T1_EEb[_ZN5boost16re_detail_10630016re_is_set_memberIN9__gnu_cxx17__normal_iteratorIPKcNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEEEcNS_12regex_traitsIcNS_16cpp_regex_traitsIcEEEEjEET_SH_SH_PKNS0_11re_set_longIT2_EERKNS0_10regex_dataIT0_T1_EEb]+0x215): undefined reference to `boost::re_detail_106300::cpp_regex_traits_implementation<char>::transform_primary[abi:cxx11](char const*, char const*) const'
Utils.cc:(.text._ZN5boost16re_detail_10630016re_is_set_memberIN9__gnu_cxx17__normal_iteratorIPKcNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEEEcNS_12regex_traitsIcNS_16cpp_regex_traitsIcEEEEjEET_SH_SH_PKNS0_11re_set_longIT2_EERKNS0_10regex_dataIT0_T1_EEb[_ZN5boost16re_detail_10630016re_is_set_memberIN9__gnu_cxx17__normal_iteratorIPKcNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEEEcNS_12regex_traitsIcNS_16cpp_regex_traitsIcEEEEjEET_SH_SH_PKNS0_11re_set_longIT2_EERKNS0_10regex_dataIT0_T1_EEb]+0x3d6): undefined reference to `boost::re_detail_106300::cpp_regex_traits_implementation<char>::transform[abi:cxx11](char const*, char const*) const'
collect2: error: ld returned 1 exit status
make[3]: *** [Makefile:17183: rbd] Error 1
make[3]: *** Waiting for unfinished jobs....


# eselect profile list
Available profile symlink targets:
  [1]   default/linux/x86/13.0 *
  [2]   default/linux/x86/13.0/selinux
  [3]   default/linux/x86/13.0/desktop
  [4]   default/linux/x86/13.0/desktop/gnome
  [5]   default/linux/x86/13.0/desktop/gnome/systemd
  [6]   default/linux/x86/13.0/desktop/plasma
  [7]   default/linux/x86/13.0/desktop/plasma/systemd
  [8]   default/linux/x86/13.0/developer
  [9]   default/linux/x86/13.0/systemd
  [10]  default/linux/x86/17.0
  [11]  default/linux/x86/17.0/selinux
  [12]  default/linux/x86/17.0/desktop
  [13]  default/linux/x86/17.0/desktop/gnome
  [14]  default/linux/x86/17.0/desktop/gnome/systemd
  [15]  default/linux/x86/17.0/desktop/plasma
  [16]  default/linux/x86/17.0/desktop/plasma/systemd
  [17]  default/linux/x86/17.0/developer
  [18]  default/linux/x86/17.0/systemd
  [19]  hardened/linux/x86
  [20]  hardened/linux/x86/selinux
  [21]  default/linux/musl/x86
  [22]  hardened/linux/musl/x86
  [23]  default/linux/uclibc/x86
  [24]  hardened/linux/uclibc/x86



# emerge --info
Portage 2.3.13 (python 3.5.4-final-0, default/linux/x86/13.0, gcc-6.4.0, glibc-2.25-r9, 4.9.72-gentoo-20180103-0846 i686)
=================================================================
System uname: Linux-4.9.72-gentoo-20180103-0846-i686-AMD_Athlon-tm-_II_X2_250_Processor-with-gentoo-2.4.1
KiB Mem:     8268640 total,   2096608 free
KiB Swap:    5242872 total,   5242580 free
Timestamp of repository gentoo: Thu, 04 Jan 2018 09:00:01 +0000
Head commit of repository gentoo: 6fbe4621ac7a0228c0a04acb18e832dafc1fc72b
sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1
ccache version 3.2.4 [disabled]
app-shells/bash:          4.3_p48-r1::gentoo
dev-lang/perl:            5.24.3::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.5.4-r1::gentoo
dev-util/ccache:          3.2.4::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.10-r4::gentoo
sys-devel/autoconf:       2.69::gentoo
sys-devel/automake:       1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            6.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.25-r9::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts:

x-portage
    location: /usr/local/portage
    masters: gentoo
    priority: 0

Dyweni
    location: /var/lib/layman/Dyweni
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=i686 -O2 -pipe "
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=i686 -O2 -pipe "
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps=y --complete-graph=y --jobs 2 --load-average 2"
FCFLAGS="-march=i686 -O2 -pipe "
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-march=i686 -O2 -pipe "
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X acl berkdb bzip2 cli crypt cxx dri fortran gdbm iconv ipv6 modules ncurses nls nptl openmp pam pcre readline seccomp session ssl tcpd threads unicode vim-syntax x86 xattr zlib" ABI_X86="32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" COLLECTD_PLUGINS="write_graphite cpu load memory interface df hddtemp thermal python" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_US" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_5" PYTHON_TARGETS="python2_7 python3_5" RUBY_TARGETS="ruby22" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Dyweni 2018-01-04 19:55:18 UTC
(In reply to Dyweni from comment #2)
> Happens same for me, but on 32bit and the old 13.0 profile...
> 
> Utils.cc:(.text.
> _ZN5boost16re_detail_10630016re_is_set_memberIN9__gnu_cxx17__normal_iteratorI
> PKcNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEEEcNS_12regex_traitsIc
> NS_16cpp_regex_traitsIcEEEEjEET_SH_SH_PKNS0_11re_set_longIT2_EERKNS0_10regex_
> dataIT0_T1_EEb[_ZN5boost16re_detail_10630016re_is_set_memberIN9__gnu_cxx17__n
> ormal_iteratorIPKcNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEEEcNS_1
> 2regex_traitsIcNS_16cpp_regex_traitsIcEEEEjEET_SH_SH_PKNS0_11re_set_longIT2_E
> ERKNS0_10regex_dataIT0_T1_EEb]+0x215): undefined reference to
> `boost::re_detail_106300::cpp_regex_traits_implementation<char>::
> transform_primary[abi:cxx11](char const*, char const*) const'
> Utils.cc:(.text.
> _ZN5boost16re_detail_10630016re_is_set_memberIN9__gnu_cxx17__normal_iteratorI
> PKcNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEEEcNS_12regex_traitsIc
> NS_16cpp_regex_traitsIcEEEEjEET_SH_SH_PKNS0_11re_set_longIT2_EERKNS0_10regex_
> dataIT0_T1_EEb[_ZN5boost16re_detail_10630016re_is_set_memberIN9__gnu_cxx17__n
> ormal_iteratorIPKcNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEEEcNS_1
> 2regex_traitsIcNS_16cpp_regex_traitsIcEEEEjEET_SH_SH_PKNS0_11re_set_longIT2_E
> ERKNS0_10regex_dataIT0_T1_EEb]+0x3d6): undefined reference to
> `boost::re_detail_106300::cpp_regex_traits_implementation<char>::
> transform[abi:cxx11](char const*, char const*) const'
> collect2: error: ld returned 1 exit status
> make[3]: *** [Makefile:17183: rbd] Error 1
> make[3]: *** Waiting for unfinished jobs....


This is Ceph 10.2.10-r1
Comment 4 Dyweni 2018-01-04 22:29:49 UTC
(In reply to Dyweni from comment #3)
> (In reply to Dyweni from comment #2)
> > Happens same for me, but on 32bit and the old 13.0 profile...
> > 
> > Utils.cc:(.text.
> > _ZN5boost16re_detail_10630016re_is_set_memberIN9__gnu_cxx17__normal_iteratorI
> > PKcNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEEEcNS_12regex_traitsIc
> > NS_16cpp_regex_traitsIcEEEEjEET_SH_SH_PKNS0_11re_set_longIT2_EERKNS0_10regex_
> > dataIT0_T1_EEb[_ZN5boost16re_detail_10630016re_is_set_memberIN9__gnu_cxx17__n
> > ormal_iteratorIPKcNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEEEcNS_1
> > 2regex_traitsIcNS_16cpp_regex_traitsIcEEEEjEET_SH_SH_PKNS0_11re_set_longIT2_E
> > ERKNS0_10regex_dataIT0_T1_EEb]+0x215): undefined reference to
> > `boost::re_detail_106300::cpp_regex_traits_implementation<char>::
> > transform_primary[abi:cxx11](char const*, char const*) const'
> > Utils.cc:(.text.
> > _ZN5boost16re_detail_10630016re_is_set_memberIN9__gnu_cxx17__normal_iteratorI
> > PKcNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEEEcNS_12regex_traitsIc
> > NS_16cpp_regex_traitsIcEEEEjEET_SH_SH_PKNS0_11re_set_longIT2_EERKNS0_10regex_
> > dataIT0_T1_EEb[_ZN5boost16re_detail_10630016re_is_set_memberIN9__gnu_cxx17__n
> > ormal_iteratorIPKcNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEEEEcNS_1
> > 2regex_traitsIcNS_16cpp_regex_traitsIcEEEEjEET_SH_SH_PKNS0_11re_set_longIT2_E
> > ERKNS0_10regex_dataIT0_T1_EEb]+0x3d6): undefined reference to
> > `boost::re_detail_106300::cpp_regex_traits_implementation<char>::
> > transform[abi:cxx11](char const*, char const*) const'
> > collect2: error: ld returned 1 exit status
> > make[3]: *** [Makefile:17183: rbd] Error 1
> > make[3]: *** Waiting for unfinished jobs....
> 
> 
> This is Ceph 10.2.10-r1


Downgrading Boost from 1.63.0 back to 1.62.0-r1 works for me, for Ceph 10.2.10-r1.
Comment 5 Konstantin Agouros 2018-01-05 10:32:20 UTC
I tried the downgrade before I opened this ticket. In the combination described ceph-12.2.2 + profile 17 it does not compile. Since I use the bluestore backend I need ceph > 12
Comment 6 Konstantin Agouros 2018-02-04 13:33:55 UTC
Now we have boost 1.65 still no luck
Comment 7 Larry the Git Cow gentoo-dev 2019-09-14 18:30:40 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0deae762d9373aa9362c2867e9e1fccdc140f71a

commit 0deae762d9373aa9362c2867e9e1fccdc140f71a
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2019-09-14 18:29:44 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2019-09-14 18:29:44 +0000

    dev-libs/boost: Version bump to 1.71.0
    
    * Added a message in `pkg_postinst` to remind users to rebuild boost
      and revdeps when upgrading the C++ toolchain.
    
    Closes: https://bugs.gentoo.org/594844
    Closes: https://bugs.gentoo.org/627302
    Closes: https://bugs.gentoo.org/629976
    Closes: https://bugs.gentoo.org/641738
    Package-Manager: Portage-2.3.76, Repoman-2.3.17
    Signed-off-by: David Seifert <soap@gentoo.org>

 dev-libs/boost/Manifest            |   1 +
 dev-libs/boost/boost-1.71.0.ebuild | 340 +++++++++++++++++++++++++++++++++++++
 2 files changed, 341 insertions(+)